diff --git a/src/remove-focus-outline.test.ts b/src/remove-focus-outline.test.ts
index 65e3b5f..d939a32 100644
--- a/src/remove-focus-outline.test.ts
+++ b/src/remove-focus-outline.test.ts
@@ -102,7 +102,12 @@ describe('The library should...', () => {
 
     })
 
-    // TODO:
-    // * configuration merges correctly
+    test('only set CSS once for multiple of same event', () => {
+        setCssSpy.mockClear()
+        triggerEvent('mousedown')
+        triggerEvent('mousedown')
+
+        expect(setCssSpy).toHaveReturnedWith(false)
+    })
 
 })
diff --git a/src/remove-focus-outline.ts b/src/remove-focus-outline.ts
index 339ff15..87573b4 100644
--- a/src/remove-focus-outline.ts
+++ b/src/remove-focus-outline.ts
@@ -78,7 +78,7 @@ export class RemoveFocusOutline {
     /**
      * Sets the CSS
      */
-    private setCss(css: string) {
+    private setCss(css: string): boolean {
 
         if (css !== this.currentCss) {
             this.currentCss = css;
@@ -89,6 +89,9 @@ export class RemoveFocusOutline {
             } else {
                 this.$style.innerHTML = css;
             }
+            return true;
+        } else {
+            return false;
         }
     }
 
